export enum FlexWorkerEleSignEnum {
  /**
   * 未签约
   */
  WaitSign = 10,
  /**
   * 已签约
   */
  HasSign = 20,
  /**
   * 已解约
   */
  CancelSign = 30,
}

export const FlexWorkerEleSignEnumText = {
  [FlexWorkerEleSignEnum.WaitSign]: '未签约',
  [FlexWorkerEleSignEnum.HasSign]: '已签约',
  [FlexWorkerEleSignEnum.CancelSign]: '已解约',
};

export enum FlexTaskWorkerHireEnum {
  /**
   * 待签约
   */
  WaitForSign = 1,
  /**
   * 待处理
   */
  Wait = 10,
  /**
   * 已录用
   */
  Hired = 20,
  /**
   * 已谢绝
   */
  Refused = 30,
  /**
   * 已解约
   */
  CancelSign = 40,
}

export const FlexTaskWorkerHireEnumText = {
  [FlexTaskWorkerHireEnum.WaitForSign]: '待签约',
  [FlexTaskWorkerHireEnum.Wait]: '待处理',
  [FlexTaskWorkerHireEnum.Hired]: '已录用',
  [FlexTaskWorkerHireEnum.Refused]: '已谢绝',
  [FlexTaskWorkerHireEnum.CancelSign]: '已解约',
};
